Subject: Re: [bess] [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call - Extended to 4/8/2022

From: "Susan Hares" <[email-masked]>
Date: Tue, 5 Apr 2022 08:17:16 -0400

Greetings authors and IDR: 

I am extending the adoption call for this work until 4/8/2022. 

This extension should allow the authors and Jeffrey Zhang to discuss the open questions. 

I will send my summary of the results to idr, bess and pim WGs on 4/7/2022.

The WG adoption will close on 4/8/2022.  

Sue Hares 

From: BESS [mailto:[email-masked]] On Behalf Of Gyan Mishra
Sent: Tuesday, March 29, 2022 10:31 AM
To: Jeffrey (Zhaohui) Zhang
Cc: [email-masked]; [email-masked]; Bidgoli, Hooman (Nokia - CA/Ottawa); BESS; Susan Hares
Subject: Re: [bess] [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call

Dear authors 

Can you describe in more detail the relationship and interaction between the two SR P2MP variants below:

Defines new SAFI for SR P2MP variant 

https://datatracker.ietf.org/doc/html/draft-hb-idr-sr-p2mp-policy-04

Does this draft utilize all the drafts below Tree sid / Replication sid and SR P2MP MVPN procedures for auto discovery etc.

Defines Tree SID stitching of replication SID SR policy P2MP variant 

https://datatracker.ietf.org/doc/html/draft-voyer-pim-sr-p2mp-policy-00

Replication SID 

https://datatracker.ietf.org/doc/html/draft-ietf-spring-sr-replication-segment

Defines new SR P2MP PTA using MVPN procedures 

https://datatracker.ietf.org/doc/html/draft-ietf-bess-mvpn-evpn-sr-p2mp

Kind Regards 

Gyan

On Mon, Mar 28, 2022 at 3:39 PM Jeffrey (Zhaohui) Zhang <zzhang=[email-masked]> wrote:

Hi,

When it comes to SR-P2MP state downloading, there are three aspects involved here:

1.	NLRI to encode policy information
2.	NLRI to encode <tree/path/instance, node> identification
3.	Tunnel Encapsulation Attribute (TEA) that encodes actual replication branches

The major difference between the two ways is on #3. Indeed, we could not reach consensus – there are two ways of encoding the TEA and each has its own considerations. The draft-ietf-bess way (even when used for SR-P2MP) is aligned with other non-SR multicast trees (IP/mLDP) for a unified approach, while draft-hb is aligned to unicast BGP SR policy.

I want to initiate a discussion and I can understand that WGs may eventually choose to allow both ways for #3. Even so, I think we should strive for consistent approach at least for #1 and #2 (and for that I am not saying that draft-ietf-bess way must be used). For example, use the same SAFI and route types for both ways, but use different TEA encoding methods.

Thanks.

Jeffrey

Juniper Business Use Only

From: Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]> 
Sent: Friday, March 25, 2022 11:34 AM
To: Jeffrey (Zhaohui) Zhang <[email-masked]>; Susan Hares <[email-masked]>; [email-masked]
Cc: [email-masked]' <[email-masked]>; 'BESS' <[email-masked]>
Subject: RE: [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call

[External Email. Be cautious of content]

Hi All

Zzh> I do think BGP signaling for SR P2MP is appropriate. We just need to discuss the two ways and figure out how to proceed. The authors have discussed before though we have not reached consensus.

HB> yes there was discussion and there was no consensus to merge the 2 drafts as their approach is widely different. The authors of this draft have kept the implementation very close to unicast BGP SR Policy for the segment list, which simplifies the implementation and deployment of the technology. As you said there seems to be two way to download this policy and the segment list and we can work on both. 

Given the solid support I don’t see why the adoption of this draft should  be delayed because of these arguments. 

Thanks

Hooman

From: pim <[email-masked]> On Behalf Of Jeffrey (Zhaohui) Zhang
Sent: Friday, March 25, 2022 10:47 AM
To: Susan Hares <[email-masked]>; [email-masked]
Cc: [email-masked]' <[email-masked]>; 'BESS' <[email-masked]>
Subject: Re: [pim] [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call

[+ BESS, PIM]

Hi,

I realized that in a hurry I did not respond to the specific questions below. Please see zzh> next to the questions.

Looks like that there are some comments on BESS/PIM list and I will go through those to see if I have any addition/follow-up on those.

Juniper Business Use Only

From: Idr < <mailto:[email-masked]> [email-masked]> On Behalf Of Jeffrey (Zhaohui) Zhang
Sent: Friday, March 25, 2022 6:30 AM
To: Susan Hares < <mailto:[email-masked]> [email-masked]>;  <mailto:[email-masked]> [email-masked]
Subject: Re: [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call

[External Email. Be cautious of content]

I am sorry for responding late. I somehow missed this.

I think we should discuss the relationship with daft-ietf-bess-bgp-multicast-controller further before adopting this.

Thanks.
Jeffrey

Juniper Business Use Only

From: Idr < <mailto:[email-masked]> [email-masked]> On Behalf Of Susan Hares
Sent: Thursday, March 10, 2022 10:28 AM
To:  <mailto:[email-masked]> [email-masked]
Subject: Re: [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022) - Adoption call

[External Email. Be cautious of content]

IDR WG: 

If you just wish to respond to the IDR list, 

you may respond to this email on the adoption call. 

Cheers, Sue 

From: Idr [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, March 10, 2022 9:55 AM
To:  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked]
Subject: [Idr] draft-hb-idr-sr-p2mp-policy (3/10 to 3/24/2022)

This begins a 2 week WG adoption call for: 

draft-hb-idr-sr-p2mp-policy from (3/10 to 3/24/2022) 

You can obtain the draft at: 

 <https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-hb-idr-sr-p2mp-policy/__;!!NEt6yMaO-gk!TfiPI1NfecN3db3pj6WZ8paxUr4s6OvmVZ91mapddPFeCkFZJodxFk8aTGCpYg34$> https://datatracker.ietf.org/doc/draft-hb-idr-sr-p2mp-policy/

In your comments for this call please consider: 

Zzh> I want to point out that  <https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-bgp-multicast-controller/__;!!NEt6yMaO-gk!S33KKHGKJVywLaE5hTpBZvb2Og_8GrdduTTT-6xmknLUl8Yylk7RNo3lGazDpUZk$> https://datatracker.ietf.org/doc/draft-ietf-bess-bgp-multicast-controller/ is another way to do the same. I also explained in  <https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/idr/KObeSgKPu3HRbd0ZN7L7fWq_Eto/__;!!NEt6yMaO-gk!S33KKHGKJVywLaE5hTpBZvb2Og_8GrdduTTT-6xmknLUl8Yylk7RNo3lGW1pXg_c$> https://mailarchive.ietf.org/arch/msg/idr/KObeSgKPu3HRbd0ZN7L7fWq_Eto/ why it was in the bess WG.

Zzh> In addition, the bess draft supports *other* multicast trees (IP, mLDP besides SR-P2MP) using a consistent way.

1)  Does this technology support the SR P2MP features 

that distributes candidate paths which connect 

a multicast distribution tree (tree to leaves). 

Zzh> It is one way to use BGP to support that. The bess draft specifies another way.

2) Is the technology correctly specified for the 

NLRI (AFI/SAFI) and the tunnel encapsulation attribute 

additions (sections 2 and 3)? 

Zzh> The specified SAFI and tunnel encapsulation attribute additions are one way for the BGP signaling for SR-P2MP. The bess draft specifies another way.

3) Does the P2MP policy operation (section 4) 

provide enough information for those implementing this 

technology and those deploying the technology? 

4) Do you think this multicast technology is a good

Place to start for P2MP policy advertisement via BGP? 

Zzh> Both ways are good place to start. We just need to figure out how to proceed with the two proposals.

5) Do you think this SR P2MP policies should not be advertised 

via BGP? 

Zzh> I do think BGP signaling for SR P2MP is appropriate. We just need to discuss the two ways and figure out how to proceed. The authors have discussed before though we have not reached consensus.

Zzh> Thanks!

Zzh> Jeffrey

Cheers, Susan Hares 

_______________________________________________
BESS mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bess

-- 

 <http://www.verizon.com/> Image removed by sender.

Gyan Mishra

Network Solutions Architect 

Email [email-masked]

M 301 502-1347